Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2219456 - F39FailsToInstall: Multiple packages built from rust-gix-features
Summary: F39FailsToInstall: Multiple packages built from rust-gix-features
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: rust-gix-features
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: blinxen
QA Contact:
URL:
Whiteboard:
: 2221458 (view as bug list)
Depends On:
Blocks: F38FailsToInstall 2216299
TreeView+ depends on / blocked
 
Reported: 2023-07-03 18:56 UTC by Fedora Fails To Install
Modified: 2023-08-08 08:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-08-08 08:18:38 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Fedora Fails To Install 2023-07-03 18:56:52 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

Your package (rust-gix-features) Fails To Install in Fedora 39:

can't install rust-gix-features+document-features-devel:
  - nothing provides (crate(document-features/default) >= 0.2.0 with crate(document-features/default) < 0.3.0~) needed by rust-gix-features+document-features-devel-0.30.0-1.fc39.noarch
  
can't install rust-gix-features+fast-sha1-devel:
  - nothing provides (crate(sha1/asm) >= 0.10.0 with crate(sha1/asm) < 0.11.0~) needed by rust-gix-features+fast-sha1-devel-0.30.0-1.fc39.noarch
  
can't install rust-gix-features+fs-walkdir-parallel-devel:
  - nothing provides (crate(jwalk/default) >= 0.8.1 with crate(jwalk/default) < 0.9.0~) needed by rust-gix-features+fs-walkdir-parallel-devel-0.30.0-1.fc39.noarch
  
can't install rust-gix-features+progress-devel:
  - nothing provides (crate(prodash) >= 25.0.0 with crate(prodash) < 26.0.0~) needed by rust-gix-features+progress-devel-0.30.0-1.fc39.noarch
  
can't install rust-gix-features+progress-unit-bytes-devel:
  - nothing provides (crate(prodash/unit-bytes) >= 25.0.0 with crate(prodash/unit-bytes) < 26.0.0~) needed by rust-gix-features+progress-unit-bytes-devel-0.30.0-1.fc39.noarch
  
can't install rust-gix-features+progress-unit-human-numbers-devel:
  - nothing provides (crate(prodash/unit-human) >= 25.0.0 with crate(prodash/unit-human) < 26.0.0~) needed by rust-gix-features+progress-unit-human-numbers-devel-0.30.0-1.fc39.noarch
  
can't install rust-gix-features+zlib-ng-compat-devel:
  - nothing provides (crate(flate2/zlib-ng-compat) >= 1.0.25 with crate(flate2/zlib-ng-compat) < 2.0.0~) needed by rust-gix-features+zlib-ng-compat-devel-0.30.0-1.fc39.noarch
  
can't install rust-gix-features+zlib-ng-devel:
  - nothing provides (crate(flate2/zlib-ng) >= 1.0.25 with crate(flate2/zlib-ng) < 2.0.0~) needed by rust-gix-features+zlib-ng-devel-0.30.0-1.fc39.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-39-x86_64 --config-opts mirrored=False install rust-gix-features+document-features-devel rust-gix-features+fast-sha1-devel rust-gix-features+fs-walkdir-parallel-devel rust-gix-features+progress-devel rust-gix-features+progress-unit-bytes-devel rust-gix-features+progress-unit-human-numbers-devel rust-gix-features+zlib-ng-compat-devel rust-gix-features+zlib-ng-devel


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Fabio Valentini 2023-07-03 19:03:28 UTC
Oh, not sure how this happened - I usually check if packages install before approving package reviews. Maybe fedora-review broke with dnf5 and doesn't report failures to install right now because it fails before that check runs?

These subpackages need to be removed and / or fixed some other way if they are necessary:

- document-features: only used when building documentation which we don't do
- fs-walkdir-parallel: jwalk crate in Fedora is too old
- progress*: prodash crate is not packaged for Fedora
- zlib-ng-compat: zlib-ng support is disabled in our packages, we use system zlib everywhere

Comment 2 blinxen 2023-07-03 20:31:54 UTC
> - document-features: only used when building documentation which we don't do

Will remove this

> - fs-walkdir-parallel: jwalk crate in Fedora is too old

Can we update this or is a compat package required here?

> - progress*: prodash crate is not packaged for Fedora

Will package prodash --> https://bugzilla.redhat.com/show_bug.cgi?id=2219471

> - zlib-ng-compat: zlib-ng support is disabled in our packages, we use system zlib everywhere

So I should deactivate zlib-ng and zlib-ng-compat (without looking too much into it). Is that correct?

Comment 3 Fabio Valentini 2023-07-03 20:37:46 UTC
(In reply to blinxen from comment #2)
> > - document-features: only used when building documentation which we don't do
> 
> Will remove this

Thanks!

> > - fs-walkdir-parallel: jwalk crate in Fedora is too old
> 
> Can we update this or is a compat package required here?

I think we will need a compat package. dua-cli and diskonaut are the other two dependents of jwalk, and diskonaut hasn't had upstream releases in a while.

> > - progress*: prodash crate is not packaged for Fedora
> 
> Will package prodash --> https://bugzilla.redhat.com/show_bug.cgi?id=2219471

Thanks, will review as soon as I have time (likely tomorrow).

> > - zlib-ng-compat: zlib-ng support is disabled in our packages, we use system zlib everywhere
> 
> So I should deactivate zlib-ng and zlib-ng-compat (without looking too much
> into it). Is that correct?

Yes, zlib-ng features should be dropped. It's a library that's not available in Fedora (and our zlib implementation is more optimized for certain architectures than either upstream zlib or zlib-ng AFAIK).

Comment 4 Fedora Fails To Install 2023-07-11 07:40:45 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

This package fails to install and maintainers are advised to take one of the following actions:

 - Fix this bug and close this bugzilla once the update makes it to the repository.
   (The same script that posted this comment will eventually close this bugzilla
   when the fixed package reaches the repository, so you don't have to worry about it.)

or

 - Move this bug to ASSIGNED if you plan on fixing this, but simply haven't done so yet.

or

 - Orphan the package if you no longer plan to maintain it.


If you do not take one of these actions, the process at https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs will continue.
This package may be orphaned in 7+ weeks.
This is the first reminder (step 3) from the policy.

Don't hesitate to ask for help on devel.org if you are unsure how to fix this bug.

Comment 5 blinxen 2023-07-18 07:27:29 UTC
After patching out some stuff, I am currently stuck with this:

```
Failed to resolve the transaction:
Problem 1: conflicting requests
  - nothing provides (crate(sha1/asm) >= 0.10.0 with crate(sha1/asm) < 0.11.0~) needed by rust-gix-features+fast-sha1-devel-0.31.1-1.fc39.noarch
 Problem 2: conflicting requests
  - nothing provides (crate(jwalk/default) >= 0.8.1 with crate(jwalk/default) < 0.9.0~) needed by rust-gix-features+fs-walkdir-parallel-devel-0.31.1-1.fc39.noarch
 Problem 3: conflicting requests
  - nothing provides (crate(prodash/unit-human) >= 25.0.0 with crate(prodash/unit-human) < 26.0.0~) needed by rust-gix-features+progress-unit-human-numbers-devel-0.31.1-1.fc39.noarch
```

* The `sha1` crate in fedora does not include the `asm` feature.
* `jwalk` is too old in fedora and requires an update
* `prodash/unit-human` requires a new package.

Points 2 and 3 should be solvable but the `sha1` problem might be a bit tricky.

Comment 6 blinxen 2023-07-18 07:28:44 UTC
*** Bug 2221458 has been marked as a duplicate of this bug. ***

Comment 7 Fabio Valentini 2023-07-18 11:53:04 UTC
1. If you need the "fast-sha1" feature, I can work on enabling the "sha1/asm" feature in the sha1 crate package.
That will likely require a package review for https://crates.io/crates/sha1-asm.

2. I can work on updating the package for the jwalk crate.
However that will require a compat package for v0.6, since dua-cli and diskonaut currently require that version.

3. If you submit the review request that's missing for the "prodash/unit-human" feature, I can review it.

Comment 8 Fabio Valentini 2023-07-18 12:39:39 UTC
1. I've now submitted review requests for sha1-asm (and sha2-asm, md5-asm).
Our tools have gotten much better at handling architecture-specific crates correctly, so packages like these are now much easier to handle than in the past (when the "/asm" features of sha1 / sha2 / md-5 were disabled). This will also provide a nice speed boost for other applications, which is why I've now just gone ahead with it.

2. I've prepared the jwalk v0.8 update, I'm just waiting for the dist-git repo for the v0.6 compat package to be created.

Comment 9 blinxen 2023-07-20 12:36:10 UTC
@decathorpe Thanks for helping with this!!

I created https://bugzilla.redhat.com/show_bug.cgi?id=2224327 for the `prodash/unit-human` feature. Could you review it?

I will review some of your packages in return for helping with this :D.

Comment 10 Fabio Valentini 2023-07-20 13:30:50 UTC
No problem!

I've reviewed the package. Just note that the patch is unnecessary if you disable the "check" bcond at the top.

The jwalk 0.8 update is stable in rawhide and pending for other branches, so that part of this issue should be resolved now.

Comment 12 Fabio Valentini 2023-07-27 20:39:49 UTC
I've pushed an update to gix-features 0.32.1 which should address all issues except for the missing prodash/unit-human feature.
This should unblock the review for gix-actor: https://bugzilla.redhat.com/show_bug.cgi?id=2216299

Comment 13 blinxen 2023-07-29 15:25:20 UTC
@decathorpe Thanks for the help! I activated the missing feature in the crate `prodash`.

Comment 14 Fabio Valentini 2023-07-29 18:17:19 UTC
Great, the FailsToInstall bug for rust-gix-features should automatically get closed soon then.

Comment 15 Fedora Fails To Install 2023-07-31 08:44:43 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 39.

Thanks for taking care of it!

Comment 16 Fedora Fails To Install 2023-08-08 08:18:38 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 38.

Thanks for taking care of it!


Note You need to log in before you can comment on or make changes to this bug.